package main

import (
	"time"

	"github.com/go-xorm/xorm"
)

// Database mysql数据结构
type Database struct {
	engine *xorm.Engine
	T      struct {
		CountLiveAnchors *xorm.Session
	}
}

// CountLiveAnchors count_live_anchors
type CountLiveAnchors struct {
	UID       string    `xorm:"uid"`
	CreateAt  time.Time `xorm:"create_at"`
	IsCounted int       `xorm:"is_counted"`
	CountMap  string    `xorm:"count_map"`
}
